package schedule;

import java.util.*;

/**
 * Ordering comparator for TimePriorityCmds that 
 * orders strictly on time stamp value 
 */
public class TimeComp implements Comparator{
  
  public int compare(Object x, Object y) {
    TimePriorityCmd tpc1 = (TimePriorityCmd) x;
    TimePriorityCmd tpc2 = (TimePriorityCmd) y;
    
    long relativeTime = tpc1.getTime()- tpc2.getTime();
    return (relativeTime>0) ? +1 : -1;

  }
}