package schedule;

import java.util.*;

/**
 * Comparator that compares on Time and Priority values
 */
public class TimePriorityComp implements Comparator{
  
  long maxDeltaTime = 1000000000L;   // 1 sec
  
  /**
   * Constructor for the class
   * @param sec The maximum difference in time, above which will override any priority values
   */
  public TimePriorityComp(int sec) {
    maxDeltaTime *= sec;
  }
  
  /**
   * Returns -1 if x is to be run before y, +1 otherwise.
   * The one that is run first is determined by
   * the one whose time stamp is earlier by greater than the maximum allowed time difference.
   * otherwise the one with the lowest priority rating
   * otherwise the one that has the older timestamp (i.e. when equal priority).
   */
  public int compare(Object x, Object y) {
    TimePriorityCmd tpc1 = (TimePriorityCmd) x;
    TimePriorityCmd tpc2 = (TimePriorityCmd) y;
    //Prob. 3.b: STUDENT TO COMPLETE

    return 0; // STUB CODE
  }
}