package life.model;

/**
 * Visitor algorithm for an ICell with several possible states
 */
interface ICellAlgo {
  
  public Object deadCase(ICell host, Object... params);
  public Object live1Case(ICell host, Object... params);
  public Object live2Case(ICell host, Object... params);
}