package schedule;

import java.util.*;


/**
 * Ordering comparator for TimePriorityCmds that 
 * orders strictly on priority value 
 */
public class PriorityComp implements Comparator{
  
  public int compare(Object x, Object y) {
    TimePriorityCmd tpc1 = (TimePriorityCmd) x;
    TimePriorityCmd tpc2 = (TimePriorityCmd) y;
     
    int relativePriority = tpc1.getPriority() - tpc2.getPriority();
    
    return (relativePriority>0) ? +1 : -1;
  }
}